Skip to main content

Query Realtime Appointment Availability: Entrata

POSThttps://api.propexo.com/v1/appointment-availability/entrata/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    availability_start_datestringrequired

    The start date of the availability to query. Entrata will return results starting at midnight of this date in Mountain Time which respects daylight savings time.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    availability_duration_daysintegerrequired

    The duration of the availability query, in days

    Possible values: >= 1 and <= 7

    appointment_duration_minutesinteger

    The duration of the appointment, in minutes. Slot availability calculations will be performed using the default appointment duration for each calendar if not provided.

    Possible values: > 0

    calendar_typesstring[]

    The calendar groups to consider when evaluating what availability is possible, defaulting to the Resident and Leasing calendar groups if not provided. Note that Entrata only supports API creation of appointment types for the Leasing group at this time.

    Show 4 enum values
    GENERALRESIDENTLEASINGMAINTENANCE

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result object[]required
  • Array [
  • last_seenstringrequired

    The date the record was last seen from the PMS

    calendar_typestringrequired

    The type of calendar

    Show 3 enum values
    AGENT_CALENDARPROPERTY_CALENDARENTRATA_SELF_GUIDED_TOUR_CALENDAR
    x_agent_idstring | nullnullablerequired

    The external ID of the agent from the integration vendor

    agent_first_namestring | nullnullablerequired

    The first name associated with the employee

    agent_last_namestring | nullnullablerequired

    The last name associated with the employee

    default_appointment_lengthnumber | nullnullablerequired

    A default duration for an appointment on this calendar, in minutes

    minimum_appointment_lead_timenumber | nullnullablerequired

    The minimum lead time before which you can book an appointment on this calendar, in minutes

    timezonestring | nullnullablerequired

    The timezone of the calendar, if such metadata is available. Please contact Propexo Support if you are working with properties outside of the United States and Canada as there may be options for populating this field depending on your business case and integration vendor.

    calendar_days object[]required
  • Array [
  • datestringrequired

    Date of the availability

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    day_of_weekstringrequired

    Day of the week

    opening_timestring | nullnullablerequired

    The routine opening time for when the first appointment can be booked into this calendar

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    closing_timestring | nullnullablerequired

    The routine closing time for when the last appointment must complete when being booked into this calendar

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    simultaneous_appointment_modestringrequired

    What kind of simultaneous or double booked appointments are allowed on this calendar

    Show 4 enum values
    SINGLEMULTIPLEUNLIMITEDUNKNOWN
    max_simultaneous_appointmentsnumber | nullnullablerequired

    The maximum number of simultaneous appointments allowed at the same moment in time on this calendar

    available_slots (object | null)[]required
  • Array [
  • startstringrequired

    The start time of the slot

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

    endstring | nullnullablerequired

    The end time of the slot which may not be available in all cases

    Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)

  • ]
  • ]
  • x_property_idstring | nullnullablerequired

    The external ID of the property from the integration vendor

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/appointment-availability/entrata/
curl -X POST https://api.propexo.com/v1/appointment-availability/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"availability_start_date": "2024-07-29T15:51:28.071Z",
"availability_duration_days": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": [
{
"last_seen": "string",
"calendar_type": "AGENT_CALENDAR",
"x_agent_id": "string",
"agent_first_name": "string",
"agent_last_name": "string",
"default_appointment_length": 0,
"minimum_appointment_lead_time": 0,
"timezone": "string",
"calendar_days": [
{
"date": "2024-07-29T15:51:28.071Z",
"day_of_week": "string",
"opening_time": "string",
"closing_time": "string",
"simultaneous_appointment_mode": "SINGLE",
"max_simultaneous_appointments": 0,
"available_slots": [
"Unknown Type: object,null"
]
}
],
"x_property_id": "string"
}
]
}